﻿using Syncfusion.Windows.Forms.Chart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DiagramInChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Controls.Remove(this.diagram1);

            //Add diagram as a child control to Chart
            this.chartControl1.Controls.Add(this.diagram1);

            //Ensure size of the diagram control will not change after resizing
            this.diagram1.Dock = DockStyle.None;
            this.diagram1.Anchor = AnchorStyles.None;

            
            Syncfusion.Windows.Forms.Diagram.Rectangle rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, this.diagram1.Width, this.diagram1.Height);
            rect.FillStyle.Color = Color.Transparent;
            rect.Labels.Add(new Syncfusion.Windows.Forms.Diagram.Label() { Text = "Diagram" });
            this.diagram1.Model.AppendChild(rect);

            InitChart(this.chartControl1);

            //Place diagram contol at fixed location using Paint event
            this.chartControl1.Paint += chartControl1_Paint;
        }
        
        //Paint event of Chart
        void chartControl1_Paint(object sender, PaintEventArgs e)
        {
            ChartControl chart = sender as ChartControl;
            //Place diagram at a fixed location (eg: [4, 80])
            this.diagram1.Location = chart.ChartArea.GetPointByValue(new ChartPoint(4, 80));
        }

        void InitChart(ChartControl chart)
        {
            chart.Text = "Chart Control";
            chart.Skins = Skins.Metro;

            ChartSeries series = new ChartSeries("Series 1");
            Random r = new Random();

            for (int i = 0; i < 10; i++)
                series.Points.Add(i, r.Next(10, 100));

            chart.Series.Clear();
            chart.Series.Add(series);

        }
    }
}
